WineHQ
Wine Forums

Board index » WineHQ » Wine Help




 Page 1 of 1 [ 4 posts ] 



 
Author Message
 Post Posted: Sat Dec 22, 2018 6:30 am 
Offline
Level 2
Level 2

Joined: Wed Sep 28, 2011 8:01 am
Posts: 34
Hi, all.

I want to try running Ashes of Creation (specifically the Apocalypse beta) under Wine. I know this is going to be a lot of hard work, but...hopefully it will be worth it.

This is my first time trying to get an app to work under Wine myself so i really need some tips on how to get started.

I am using wine-4.0-rc2 (Staging), but I suspect I may have created my wine prefix with a slightly older version. I had some problems with the repo key.

----

The AoC launcher installer tries and fails to install dotnet 4.6.1 and 4.7.1, but allows you to skip that anyway, strangely. I installed 4.6.1 manually using winetricks. 4.7.1 is not supported yet.

When I run the launcher it in turn runs something called Patcher.exe which crashes. I found and ran patcher.exe manually and it still crashes, unsurprisingly. I have attached a log of all the output which seems to incorporate a core dump and stack trace of sorts.

I'm not asking for someone to solve this crash for me. I am asking for clues, hints, tips, etc. If there is something in the log file that is an obvious clue of a known issue then please point it out to me so I know to look for it in future. That sort of thing. The game is still in beta so I suspect I will have to repeat this debugging process in future - and for other games too, so I want to learn how to do it not just have someone do it for me.

Thanks in advance.


Attachments:
patcher_crash.log.gz [7.34 KiB]
Downloaded 7 times
Top 
 Post Posted: Mon Dec 24, 2018 8:02 am 
Offline
Level 12
Level 12
User avatar

Joined: Sat Oct 16, 2010 7:40 pm
Posts: 2351
Location: Cambridge
JontomXire wrote:
...
The AoC launcher installer tries and fails to install dotnet 4.6.1 and 4.7.1, but allows you to skip that anyway, strangely. I installed 4.6.1 manually using winetricks. 4.7.1 is not supported yet.
...


winetricks supports dotnet 4.7.2, which should cover both those .Net framework versions your require.

It's probably just that your winetricks script is a few months (/ years) out-of-date.
See: Github.com: Winetricks/winetricks /README.md.

It does like, from your crash log, that the patcher is based on .Net 4.6.2.

You may want to try a 32-bit WINEPREFIX - if the game is not 64-bit.

Bob


Top 
 Post Posted: Mon Dec 24, 2018 3:46 pm 
Offline
Level 2
Level 2

Joined: Wed Sep 28, 2011 8:01 am
Posts: 34
I installed wine from winehq not Ubuntu repos, and took staging. Does that not bring in an up-to-date enough winetricks? What am I missing?

I tried the instructions to get the "latest" winetricks from your link. After doing so I get:

$ WINEPREFIX=/wine/Ashes winetricks dotnet471
------------------------------------------------------
You are using a 64-bit WINEPREFIX. Note that many verbs only install 32-bit versions of packages. If you encounter problems, please retest in a clean 32-bit WINEPREFIX before reporting a bug.
------------------------------------------------------
Using winetricks 20181203-next - sha256sum: ad4de4abda1916f775e8d2294aa971ea246eee7097cc9003885a25e544b1027f with wine-4.0-rc2 (Staging) and WINEARCH=win64
Unknown arg dotnet471

That's the same as I got before...more or less. I forget the exact version reported.

I think the game is in fact 64 bit, as when installing it on a Windows machine it seemed to be 64 bit. Nevertheless how do I define a wineprefix to be 32 bit?


Thanks for your support!

Have a good Christmas (and please excuse any typos as I typed this after a very good Christmas eve supper involving a lot of alcohol).


Top 
 Post Posted: Mon Dec 24, 2018 5:16 pm 
Offline
Level 12
Level 12
User avatar

Joined: Sat Oct 16, 2010 7:40 pm
Posts: 2351
Location: Cambridge
JontomXire wrote:
...

Have a good Christmas (and please excuse any typos as I typed this after a very good Christmas eve supper involving a lot of alcohol).


Apparently enough alcohol to read 472 as 471!

Try:
Code:
winetricks dotnet472

On the basis that newer .Net framework versions, often install a set of backwards compatible earlier (major) versions of the framework libraries.

FYI
Austin English (primary winetricks maintainer) is very active in the Wine Community, attending most of the Wineconf meetups.
Winetricks and WineHQ/ Wine are somewhat inter-dependent, but operate, day-2-day, as separate projects.

Bob


Top 
Display posts from previous:  Sort by  
 
 Page 1 of 1 [ 4 posts ] 




Board index » WineHQ » Wine Help


Who is online

Users browsing this forum: No registered users and 23 guests

 
 

 
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to: